Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

After update to FF 72.0.1: Failed to read the configuration file. Please contact your system administrator.

  • 2 replies
  • 1 has this problem
  • 4 views
  • Last reply by torsu

more options

I've been using Quantum's multirow tabs extension successfully for quite some time but now after upgrading to FF 72.0.1 I encountered a strange problem that cannot solve nor find almost any information about it.

When starting FF it gives me an error dialogue: "Failed to read the configuration file. Please contact your system administrator."

Drilling down to configuration files I found out that this config (under Firefox program folder / defaults / pref) is causing the problem:

pref("general.config.sandbox_enabled", false);

Doesn't matter in which file the setting is. To my understanding this setting should be OK but for some reason FF fails to start when this is enabled.

Tried disabling all add-ons: no difference. Tried installing FF again: no difference.

Hopefully someone can help me out because multirow tab is essential for me.

All Replies (2)

more options

You normally use the autoconfig.js (or another.js) file in defaults\pref to specify loading an autoconfig.cfg file (file name is specified in autoconfig.js) to initialize some prefs.

You get this error if the specified .cfg file is missing or if there is a problem with this file.

What file is specified in your case and what is the content of this file or is in your case the .cfg file missing?

See:

more options

Thanks for the tip.

autoconfig.js was not existing and created that according to instructions. Created also firefox.cfg with only 1st comment line.

Didn't help at all.

But when I comment out the line:

pref("general.config.sandbox_enabled", false);

No error is given at the start up. This line is in a file: config-prefs.js (defaults/prefs). Created by a patcher for the quantum multitab row.

https://github.com/Izheil/Quantum-Nox-Firefox-Dark-Full-Theme/tree/master/Multirow%20and%20other%20functions/Multirow%20tabs

Edit: Tried also installing beta version --> same error at start. Tried uninstalling completely and installing 72.0.1 version --> same error at start.

Modified by torsu